# MongoClient::setWriteConcern

(PECL mongo >=1.5.0)

MongoClient::setWriteConcern — Set the write concern for this connection

This extension that defines this method is deprecated. Instead, the MongoDB extension should be used. There is no equivalent for this method in the new extension.

### Description

public MongoClient::setWriteConcern ( mixed `$w` [, int `$wtimeout` ] ) : bool

### Parameters

`w`

  The write concern. This may be an integer denoting the number of servers required to acknowledge the write, or a string mode (e.g. "majority").

`wtimeout`

  The maximum number of milliseconds to wait for the server to satisfy the write concern.

### Return Values

Returns `TRUE` on success, or `FALSE` otherwise.

### Errors/Exceptions

Emits `E_WARNING` if the w parameter is not an integer or string value.

### Examples

Example #1 MongoClient::setWriteConcern() example

`<?php
$mc = new MongoClient('mongodb://rs1.example.com,rs2.example.com');
// Require that the majority of servers in the replica set acknowledge writes
// within three seconds.
$mc->setWriteConcern('majority', 3000);
?>`

### See Also

- The write concern documentation.
- MongoClient::getWriteConcern() - Get the write concern for this connection